<?php

@include "../fusion_config.php";
include "../fusion_core.php";
include FUSION_BASE."subheader.php";
include FUSION_LANGUAGES.FUSION_LAN."custom_pages.php";
include FUSION_BASE."side_left.php";

opentable("Download");
session_start();

ob_start ();

//Required for ALL functions
require_once "config.php";
require_once "global.php";
require_once "functions.php";

if ( ! defined ('IS_INSTALLED') )
{
	header('Location: install.php');
	exit;
}

// Order of Importance : Get - Post
// Default value is to 'view'
$action = (  isset($_POST['action'])) ? $_POST['action'] : 'view'; 
$action = (  isset($_GET['action']) ) ? $_GET['action'] : $action;

/* This will speed things up. Alot.
   The eventual goal is to have each case be on its on line with its own require_onces and template renews and stuff */
switch ($action)
{
	case 'view':
	case 'search':
	case 'comment':
	case 'register':
	case 'users':
	case 'addentry':
	case 'admin':
	case 'print':
	case 'report':
		require_once 'source/' . $action . '.php';
		$ArkiDB = new $action;
		$ArkiDB->renewTemplate( $action );
		break;
	case 'visit':
		require_once 'source/visit.php';
		$ArkiDB = new visit;
		$ArkiDB->renewTemplate('entry');
		break;
	// If we get passed a weird value, just view. :-D
	default:
		require_once 'source/view.php';
		$ArkiDB = new view;
		$ArkiDB->renewTemplate('view');
		break;
}

//K so this could be done better :-D
if ( file_exists( './install.php' ) )
{
	$error .= "Please remove install.php<br>";
}
if ( file_exists( './README.html' ) )
{
	$error .= "Please remove README.html<br>";
}
if ( is_writable( './config.php' ) )
{
	$error .= "Please remove write access to config.php (chmod 0644 config.php)<br>";
}

if ( isset ($error) )
{
	$ArkiDB->renewGlobals();
	echo "<center><font color=\"red\" face=\"arial\"><b>$error</b></font></center>";
}
else
{
	// This is common to ALL actions.
	$ArkiDB->renewGlobals();
	$ArkiDB->getGlobals('header');
	$ArkiDB->execute();	//Where the script actually gets run...
	$ArkiDB->getGlobals('footer');
}
//--------------------------------------------
closetable();

include FUSION_BASE."side_right.php";
include FUSION_BASE."footer.php";

?>
