<?php

/**
 ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 :: Arki-DB                                                             ::
 :: (c) 2002 The Arki-DB Development Team                               ::
 ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 :: This program is free software; you can redistribute it and/or modify ::
 :: it under the terms of the GNU General Public License as published by ::
 :: the Free Software Foundation; either version 2 of the License, or    ::
 :: (at your option) any later version.                                  ::
 ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 
**/

/** 
 * Parses the entry info as printer-friendly!
 *
 * @author Ali Islami ( master@arkitus.com )
 * @started 2002/7/21
 **/
 
class printentry extends ArkiDB
{
 	function execute()
 	{
 		$entryid = $this->get('entryid');
 		//--------------------------------------------
 		$this->getTemplate('print');
 		$this->tprint('startTable', array( 'SKINID'		=> $this->skinid));
 		//--------------------------------------------
 		$entry = $this->db($db, "SELECT * FROM arkidb_entries WHERE id = $entryid", '1:2');
		$result = $this->db($db, "SELECT * FROM arkidb_fields WHERE fieldoptionid = '0'", '0');
	 	while ( $field = mysql_fetch_object($result))
	 	{
		 		if ( $field->fieldname != 'URL' AND $field->fieldname != 'Rating' AND $field->fieldname != 'ShortDescription' AND $field->fieldtype != 'picture')
	 			{
	 				$fieldn = $field->fieldname;
	 				$row = array ( 'FIELD'		=> $field->fieldname,
	 					       'VALUE'		=> nl2br($entry["$field->fieldname"]);
	 		
		 			$this->tprint('field', $row);
		 		}
	 			elseif ( $field->fieldname == 'URL' )
	 			{
	 				$this->var = $entry["$field->fieldname"];
		 		}
		 		elseif ( $field->fieldtype == 'picture' )
	 			{
	 				$info = array ( 'URL'	=> $entry["$field->fieldname"],
	 						'FIELD'	=> $field->fieldname );
		 			$this->tprint(picture, $info);
		 		}
	 	}
	 	
	 	if ( $this->div == '1' )
	 	{
	 		$this->tprint('startdiv', array('HEIGHT'	=> $this->height));
	 	}
	 	
	 	$result = $this->db($db, "SELECT * FROM arkidb_fields WHERE fieldoptionid = $this->optionid ORDER BY id", '0');
	 	print mysql_error();
	 	while ( $field = mysql_fetch_object($result))
	 	{
	 		if (!empty($entry["$field->fieldname"]))
		 	{
		 		if ( $field->fieldtype != 'picture' )
	 			{
	 				$fieldn = $field->fieldname;
	 				$row = array ( 'FIELD'		=> $field->fieldname,
	 					       'VALUE'		=> nl2br($entry["$field->fieldname"]);
	 		
		 			$this->tprint('field', $row);
		 		}
		 		elseif ( $field->fieldtype == 'picture' )
	 			{
	 				$info = array ( 'URL'	=> $entry["$field->fieldname"],
	 						'FIELD'	=> $field->fieldname );
		 			$this->tprint(picture, $info);
		 		}
	 		}
	 	}
	 	
	 	//--------------------------------------------
 		$this->tprint('endTable', array());
 		//--------------------------------------------
	}
}