<?php

/**
 ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 :: Arki-DB                                                             ::
 :: (c) 2002 The Arki-DB Development Team                               ::
 ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 :: This program is free software; you can redistribute it and/or modify ::
 :: it under the terms of the GNU General Public License as published by ::
 :: the Free Software Foundation; either version 2 of the License, or    ::
 :: (at your option) any later version.                                  ::
 ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 
**/

/** 
 * Parses, processes and prints the search pages
 *
 * @author Ali Islami ( master@arkitus.com )
 * @started 2002/7/21
 * @Modified Erik Karulf ( webmaster@alphamonkey.net )
 *   @ 2003/02/23
 *   + Supports GET\POST
 *   + Supports error checking
 **/
 
 class search extends ArkiDB
 {
 	function execute()
 	{
 		//--------------------------------------------
 		$this->getTemplate(search);
		$this->tprint(startTable, array());
		//--------------------------------------------
		if ( $this->method == "POST" )
		{
			$search = $this->post('search');
			if ( $this->post('do') )
			{
				$do = 'search';
			}
			else
			{
				$do = 'form';
			}
		}
		else if ( $this->method == "GET" )
		{
			$search = $this->get('search');
			if ( $this->get('do') )
			{
				$do = 'search';
			}
			else
			{
				$do = 'form';
			}
		}
		else
		{
			if ( ! isset ($action) )
			{
				if ($this->method == 'GET')
				{
					$action = $this->get('action');
				}

				else if ($this->method == 'POST')
				{
					$action = $this->post('action');
				}

				else
				{
					$action = 'your request';
				}
			}
					
			$exception = array ( 	'ACTION'		=>	$action,
						'ERROR'			=>	'The request was invalid');
			$this->tprint(error,$exception);
		}



		switch ( $do )
 		{
 			case 'search':
 			 	//--------------------------------------------
 				$name = $this->couple($this->entry,$this->language['name']);
 				$info = array ( 'NAME'			=> $name,
	 					'ENTRIESINCAT'		=> $this->language['views'] );
 				$this->tprint(explain, $info);
 				//--------------------------------------------
 				$result = $this->db($db, "SELECT * FROM arkidb_entries WHERE Name LIKE '%$search%' OR Description LIKE '%$search%'", '0');
				
				$temp = $result;
				$temp = mysql_fetch_object($temp);
				
				if ( $temp == NULL )
				{
					if ( ! isset ($action) )
					{
						if ($this->method == 'GET')
						{
							$action = $this->get('action');
						}
	
						else if ($this->method == 'POST')
						{
							$action = $this->post('action');
						}
		
						else
						{
							$action = "your request";
						}
					}
					$MESSAGE = 'The search for <b>' . $search . '</b> returned no results. <br> Please search again.';
					$exception = array ( 	'ACTION'		=>	$action,
								'ERROR'			=>	$MESSAGE);
					$this->tprint('error',$exception);
				}
				else
				{
	 				while ( $entry = mysql_fetch_object($result) )
	 				{
	 					//--------------------------------------------
	 					$info = array ( 'NAME'		=> $entry->Name,
								'ID'		=> $entry->id,
								'IMAGE'		=> 'entry');
	 						       
	 					$this->tprint(row, $info);
	 					//--------------------------------------------
	 				}
				}
				unset ( $temp );
 				break;
 				
			case 'form':
 				$this->tprint(form, array('SUBMIT'	=> $this->language['submit'],
							  'SEARCH'	=> $this->language['search']));
 				
 		}
 		//--------------------------------------------
 		$this->tprint(endTable, array());
		//--------------------------------------------
 	}
}
?>