<?php

 
 $lng = array(
 
 //globals
 'reset'			=> 'Reset',
 'details'			=> 'Details', 
 'register'			=> 'Register',
 'loggedinas'			=> 'Logged in as',
 'logoff'			=> 'Logoff',
 'admincp'			=> 'Admin CP',
 'addentry'			=> 'Submit',
 'yes'				=> 'Yes',
 'no'				=> 'No',
 
 // for the user-related pages ( register, login and etc. )
 'rname'			=> 'Your Name',
 'rdone'			=> 'Thank You for registering with us. Please wait while we re-direct you.',
 'email1'			=> 'E-Mail Address',
 'email2'			=> 'Verify E-Mail Address',
 'pass1'			=> 'Password',
 'pass2'			=> 'Verify Password',
 'registerinfo'			=> 'Please enter the requested information',
 'logininfo'			=> 'Please enter your Username/Password below',
 'ldone'			=> 'You have succesfully Logged-In. Please wait while we re-direct you.',
 'lodone'			=> 'You have succesfully Logged-Off. Please wait while we re-direct you.',
 'login'			=> 'Login',
 'username'			=> 'Username',
 'password'			=> 'Password',
 'lwrong'			=> 'The information you entered is incorrect. Please try again',
 'user_taken'	=> 'Username already taken',
 'reg_err'	=> 'Username must be valid, password must have more than 6 letters, and e-mail must be valid too',
 
 // for use in the categories and subcategories and entries
 'category'			=> 'Category',
 'categories'			=> 'Categories',
 'name'				=> 'Name',
 'home'				=> 'Home',
 'numviews'			=> 'Views',
 'redirect'			=> "You will be redirected to <b>{ENTRY}</b> in five seconds.<br><br>If you do not wish to wait, use <b><a href='{URL}'>this</a></b> link.",
 'lastentry'			=> "Last Entry",
 'print'			=> "Print $this->entry",
 'report'			=> 'Report',
 'track'			=> 'Track Category',
 'trackdb'			=> 'Track Database',
 'sortby'			=> 'Sort by:',
 'pages'			=> 'Pages:',
 'jump'				=> 'Category Jump',
 'date'				=> 'Date Added',
 
 // global, in header and footer
 'queries'			=> 'queries used',
 'exectime'			=> 'Execution time:',
 
 // related to comments & ratings
 'comment'			=> 'Comment',
 'comments'			=> 'Comments',
 'commentinfo'			=> "Use this form to tell us what you think about the $this->entry",
 'rateinfo'			=> "Rate this $this->entry ( Highest = 5 )",
 'actions'			=> 'Actions',
 'rating'			=> 'Rating',
 'commentdone'			=> "Comment succesfully added. Please wait while we re-direct you to the $this->entry page.",
 'rate'				=> 'Rate',
 'votes'			=> 'votes',
 'notep'			=> 'Your Passwords do not match',
 'notee'			=> 'Your E-Mails do not match',

 // for the statistics page
 'powered'			=> 'Powered by',
 'numberofentries'		=> 'Number of Entries',
 'totalviews'			=> 'Number of Views',
 'averageentryviews'		=> 'Views per Entry',
 'numberofcats'			=> 'Number of Categories',
 'numberofsubs'			=> 'Number of Sub-categories',
 'averagecatentries'		=> 'Entries per Category',
 'statistics'			=> 'Statistics',
 'numberofcomments'		=> 'Number of Comments',
 'numberofvotes'		=> 'Number of Votes',
 'averagerating'		=> 'Average rating',
 
 // for the statistics in the index
 'entrytotal'			=> 'We have a total of ',
 'mostpop'			=> 'Our most popular entry is ',
 'highestrated'			=> 'Our highest rated entry is ',
 'statentry'			=> 'entry',
 'statentries'			=> 'entries',
 
 // for the search page
 'submit'			=> 'Submit',
 'search'			=> 'Search',
 
 // for the submit page
 'submitinfo'			=> "Submit $this->entry in this Category",
 'sudone'			=> "You have succesfully submitted your $this->entry. Please wait while we re-direct you to the index.",
 'upload'			=> 'Upload a file from your computer:',
 'url'				=> 'OR enter the URL:',
 'filecheckerror'		=> '<font color="red"><b>The file you uploaded is too big</b></color>',
 
  // for the admin page
  'main'			=> 'Main',
  'nofield'			=> 'There are no extra fields in the database.',
  'menu'			=> 'Admin Menu Bar',
  'stats'			=> 'Database Statistics',
  'addoptionset'		=> 'Add Option Set',
  'editoptionset'		=> 'Edit Option Set',
  'deleteoptionset'		=> 'Delete Option Set',
  'addcat'			=> 'Add Category',
  'editcat'			=> 'Edit Category',
  'deletecat'			=> 'Delete Category',
  'addfield'			=> 'Add Field',
  'editfield'			=> 'Edit Field',
  'deletefield'			=> 'Delete Field',
  'deleteentry'			=> "Delete $this->entry",
  'editentry'			=> "Edit $this->entry",
  'addadmin'			=> 'Add Admin Account',
  'removeadmin'			=> 'Remove Admin Account',
  'type'			=> 'Type of field',
  'catedit'			=> 'Choose the Category/Sub-Category you want to edit',
  'catdelete'			=> 'Choose the Category/Sub-Category you want to delete',
  'fielddelete'			=> 'Choose the Field you want to delete',
  'general'			=> 'General Preferences',
  'apply'			=> 'Apply Changes',
  'showstats'			=> 'Show the database statistics in the footer?',
  'height'			=> 'Height of scrollable area',
  'emoticons'			=> 'Display special characters as emoticons?',
  'usersubmit'			=> "Allow users to submit $this->entries?",
  'title'			=> 'Title that is put in ALL pages.<br><br>For example: MyDomain.com',
  'entries'			=> 'Plural form of the ENTRY your database contains.<br><br>For example: Files, Pictures, etc.',
  'entry'			=> 'Singular form of the ENTRY your database contains.<br><br>For example: File, Picture, etc.',
  'language'			=> 'Language name. <br><br>For example: English, French, etc.',
  'view'			=> 'The VERB of the ENTRY.<br><br>For example: Download, View, etc.',
  'views'			=> 'The plural VERB of the ENTRY.<br><br>For example: Downloads, Views, etc.',
  'skinid'			=> 'Number of the skin used for the cosmetics.<br><br>For example: 1, 2, etc.',
  'maxfilesize'			=> 'The maximum file size allowed for uploading ( in bytes )',
  'catsuper'			=> 'Is it a Super Category?',
  'catparent'			=> 'Is it a Parent Category?',
  'ifcatparent'			=> 'IF it isnt super itself, then select its parent category',
  'admindone'			=> 'Admin action executed. Please wait while we re-direct you.',
  'id'				=> 'Option Set ID',
  'catdescription'		=> 'Category Description ( Optional )',
  'catimage'			=> 'Category Image ( the icon dispayed in front of it )',
  'addadminname'		=> 'The name of the user. The name should be a <b><i>perfect</i></b> match, otherwise it will not work.<br><br>NOTE: By using this function, the user will be able to access the Admin CP.',
  'remadminname'		=> 'The name of the user. The name should be a <b><i>perfect</i></b> match, otherwise it will not work.<br><br>NOTE: By using this function, the user will <b><i>NOT</i></b> be able to access the Admin CP, so be careful not to enter your own name!',
  'limit'			=> 'Number of entries shown in a page',
  'viewentry'			=> 'Can guests view entries ( the first button in the entry page )',
  'int'				=> 'A number',
  'text'			=> 'A one line text field',
  'fulltext'			=> 'A text field that spans multiple lines',
  'picture'			=> 'A picture',
  'submitter'			=> 'Display the name of the submitter in each entry?'

 );
