<?php

/**
 ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 :: Arki-DB                                                             ::
 :: (c) 2002 The Arki-DB Development Team                               ::
 ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 :: This program is free software; you can redistribute it and/or modify ::
 :: it under the terms of the GNU General Public License as published by ::
 :: the Free Software Foundation; either version 2 of the License, or    ::
 :: (at your option) any later version.                                  ::
 ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
 
**/

/** 
 * Adds the comments to the DB.
 *
 * @author Ali Islami ( master@arkitus.com )
 * @started 2002/7/21
 **/
 
 class comment extends ArkiDB
 {
 	function execute()
 	{
 		$caction = $this->get('caction');
 		$entryid = $this->get('entryid');
 		$name = $this->post('name');
 		$comment = $this->post('comment');
 		$rating = $this->post('rating');
 		$rating_comment = $rating;
 		$add = $this->post('add');
 		$do = $this->post('do');
 		$rate = $this->get('rate');
 		
 		//--------------------------------------------
 		$this->getTemplate(comment);
 		$this->tprint(startTable, array());
		//--------------------------------------------

 		switch ( $caction )
 		{
			case 'rate':
			
				//--------------------------------------------
				// Show the Rate page
				//--------------------------------------------
				
				$info = array ( 'SUBMIT'	=> $this->language['submit'],
						'INFO'		=> $this->language['rateinfo'],
						'RATING'	=> $this->language['rating'],
						'ACTIONS'	=> $this->language['actions'],
						'RESET'		=> $this->language['reset'],
						'ID'		=> $entryid,
						'DO'		=> 'entry');
				
				$this->tprint('start', $info);
				$this->tprint('rating', $info);
				$this->tprint('end', $info);
				break;
			
			case 'comment':
			
				//--------------------------------------------
				// Show the Comment page
				//--------------------------------------------
				
				$info = array ( 'SUBMIT'	=> $this->language['submit'],
						'INFO'		=> $this->language['commentinfo'],
						'COMMENT'	=> $this->language['comment'],
						'RATING'	=> $this->language['rating'],
						'ACTIONS'	=> $this->language['actions'],
						'RESET'		=> $this->language['reset'],
						'NAME'		=> $this->language['name'],
						'NAMELOGGED'	=> $this->session['name'],
						'ID'		=> $entryid,
						'DO'		=> 'comment');
				$this->tprint('start', $info);
				
				if ( ! isset($this->session['logged']) )
				{
					$this->tprint('name', $info);
				}
				else
				{
					$this->tprint('namelogged', $info);
				}
				$this->tprint('comment', $info);
				$this->tprint('rating', $info);
				$this->tprint('end', $info);
				
				break;
					
			default:
				
				//--------------------------------------------
				// The pages have been shown, now process the data
				//--------------------------------------------

				$entry = $this->db($db, "SELECT * FROM arkidb_entries WHERE id = $entryid", '1:2');
				$votes = $entry['entryvotes'] + 1;
					
				if ( $entry['entryrating'] != 0 )
				{
					$rating = round ((($entry['entryvotes']*$entry['entryrating'])+$rating)/($votes), 2);
				}
					
				$this->db($db, "UPDATE `arkidb_entries` SET `entryrating` = '$rating', `entryvotes` = '$votes' WHERE `id` = '$entryid'", '0');
				
				if ( $do == 'comment' )
				{
					if ( isset($this->session['logged']) )
					{
						$name = $this->session['name'];
					}
					$sql = "INSERT INTO `arkidb_comments` ( `id` , `entryid`, `name` , `comment` , `rating` ) VALUES ('', '$entryid', '$name', '$comment', '$rating_comment')";
					$this->db($db, $sql, 0);
				}
				
				$this->tprint('done', array('DONE'	=> $this->language['commentdone'],
						      	    'URL'	=> "index.php?action=view&view=entry&entryid=$entryid"));
				
				
				
		}
 		//--------------------------------------------
 		$this->tprint(endTable, array());
		//--------------------------------------------
	}
}
?>